# DoubleClick Search API . savedColumns

## Instance Methods

Retrieve the list of saved columns for a specified advertiser.

### Method Details

`list(agencyId, advertiserId)`

    Retrieve the list of saved columns for a specified advertiser.

    Args:
      agencyId: string, DS ID of the agency. (required)
      advertiserId: string, DS ID of the advertiser. (required)

    Returns:
      An object of the form:

        { # A list of saved columns. Advertisers create saved columns to report on Floodlight activities, Google Analytics goals, or custom KPIs. To request reports with saved columns, you'll need the saved column names that are available from this list.
        "items": [ # The saved columns being requested.
          { # A saved column
            "savedColumnName": "A String", # The name of the saved column.
            "kind": "doubleclicksearch#savedColumn", # Identifies this as a SavedColumn resource. Value: the fixed string doubleclicksearch#savedColumn.
            "type": "A String", # The type of data this saved column will produce.
          },
        ],
        "kind": "doubleclicksearch#savedColumnList", # Identifies this as a SavedColumnList resource. Value: the fixed string doubleclicksearch#savedColumnList.
      }